Bug 448088 - inn should own /usr/lib/news/bin and /usr/lib/news/bin/auth/{resolv,passwd} directories
inn should own /usr/lib/news/bin and /usr/lib/news/bin/auth/{resolv,passwd} d...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: inn (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Ondrej Vasik
:
Depends On:
Blocks: 445005
  Show dependency treegraph
 
Reported: 2008-05-23 09:09 EDT by Milan Zazrivec
Modified: 2013-04-12 15:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-15 11:00:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zazrivec 2008-05-23 09:09:19 EDT
Description of problem:
inn package should own following directories:
/usr/lib/news/bin
/usr/lib/news/bin/auth/resolv
/usr/lib/news/bin/aith/passwd

Currently inn owns files under them, not the directories themselves.
This setup leads to these directories being mislabeled (selinux contexts).

Version-Release number of selected component (if applicable):
inn-2.4.3-6.fc6 / RHEL5.2 GA

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL5.2, inn package included, selinux enabled
2. # rpm -qf /usr/lib/news/bin /usr/lib/news/bin/auth/resolv \
     /usr/lib/news/bin/auth/passwd
3. # ls -dZ /usr/lib/news/bin /usr/lib/news/bin/auth/resolv \
     /usr/lib/news/bin/auth/passwd
4. # matchpathcon /usr/lib/news/bin /usr/lib/news/bin/auth/resolv \
     /usr/lib/news/bin/auth/passwd
  
Actual results:
# rpm -qf /usr/lib/news/bin /usr/lib/news/bin/auth/resolv \
/usr/lib/news/bin/auth/passwd
file /usr/lib/news/bin is not owned by any package
file /usr/lib/news/bin/auth/resolv is not owned by any package
file /usr/lib/news/bin/auth/passwd is not owned by any package
# ls -dZ /usr/lib/news/bin /usr/lib/news/bin/auth/resolv \
/usr/lib/news/bin/auth/passwd
drwxr-xr-x  root root system_u:object_r:lib_t:s0       /usr/lib/news/bin
drwxr-xr-x  root root system_u:object_r:lib_t:s0       /usr/lib/news/bin/auth/passwd
drwxr-xr-x  root root system_u:object_r:lib_t:s0       /usr/lib/news/bin/auth/resolv
# matchpathcon /usr/lib/news/bin /usr/lib/news/bin/auth/resolv \
/usr/lib/news/bin/auth/passwd
/usr/lib/news/bin       system_u:object_r:bin_t:s0
/usr/lib/news/bin/auth/resolv   system_u:object_r:bin_t:s0
/usr/lib/news/bin/auth/passwd   system_u:object_r:bin_t:s0

Additional info:
Low priority, unlikely to cause any harm.
Comment 1 Ondrej Vasik 2008-07-10 12:12:08 EDT
Thanks for report, actually more dirs should be owned by quota. All fixed in
rawhide, inn-2.4.5-2.fc10.
Comment 2 Ondrej Vasik 2008-07-10 12:12:53 EDT
sorry, I meant inn of course (faster fingers than brain).
Comment 3 RHEL Product and Program Management 2008-07-21 19:02:02 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 5 Ondrej Hudlicky 2008-08-26 10:04:31 EDT
QA_ACK+ FAST5.3
Comment 11 errata-xmlrpc 2008-10-15 11:00:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0917.html

Note You need to log in before you can comment on or make changes to this bug.